Subject: bug#70440: [PATCH] Use -P switch when calling 'python-interpreter'

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Apr 2024 20:31:01 +0300

> From: Augusto Stoffel <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 19 Apr 2024 17:55:51 +0200
> 
> On Fri, 19 Apr 2024 at 18:40, Eli Zaretskii wrote:
> 
> > I'm not sure I understand: if the user doesn't have a version of
> > Python which supports this option, what else can we do?  Refuse to
> > use such a Python?  That doesn't seem to be an option we can use.
> 
> Why not?

Because it's unthinkable?

> Let me make sure we're on the same page that this affects only
> couple of handy but by no means essential commands that add or remove
> import statements.  Nobody _needs_ this to write Python code.

That's not relevant.  The important part is that if we accept your
proposal, users who have Python that doesn't support -P will be unable
to invoke Python even if their Python programs don't use the
problematic features.

> > Yes, this is a security hole, but it's the user's security hole, not
> > ours, if the user doesn't install the safer Python.
> 
> I see it as _my_ security hole, since it was me who added a line to
> Emacs that calls 'python -c' in a random directory without removing the
> current directory from the module load path (as much as a find it a bad
> design choice in Python to do that by default.)

Sorry, you lost me here.  But if there's a way to close the hole
without preventing users to use a subordinate Python, please describe
it in more details.